Bug 30479 - Sgen counter for promoted not been reset across minor collections
Summary: Sgen counter for promoted not been reset across minor collections
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: GC (show other bugs)
Version: 4.0.0
Hardware: PC Mac OS
: --- normal
Target Milestone: 4.2 (C6)
Assignee: Mark Probst
URL:
Depends on:
Blocks:
 
Reported: 2015-05-26 18:24 UTC by Rodrigo Kumpera
Modified: 2015-09-23 17:56 UTC (History)
2 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Rodrigo Kumpera 2015-05-26 18:24:44 UTC
When gc logging is enabled, the data for promoted is no longer per-collection but instead persistent across collections.

This is a regression from the previous behavior of it been non cumulative.
Comment 1 Mark Probst 2015-09-23 16:56:09 UTC
Is this still relevant?
Comment 2 Rodrigo Kumpera 2015-09-23 17:26:11 UTC
Yes, the bug remains unfixed.
Comment 3 Mark Probst 2015-09-23 17:56:21 UTC
Fixed in 737ca8b888ef92ec43cf9f3329387b05f3f6fecf.

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.